Package org.springframework.security.web.header

# Interface HeaderWriter

All Known Implementing Classes:
  `CacheControlHeadersWriter`, `ClearSiteDataHeaderWriter`, `CompositeHeaderWriter`, `ContentSecurityPolicyHeaderWriter`, `CrossOriginEmbedderPolicyHeaderWriter`, `CrossOriginOpenerPolicyHeaderWriter`, `CrossOriginResourcePolicyHeaderWriter`, `DelegatingRequestMatcherHeaderWriter`, `FeaturePolicyHeaderWriter`, `HpkpHeaderWriter`, `HstsHeaderWriter`, `PermissionsPolicyHeaderWriter`, `ReferrerPolicyHeaderWriter`, `StaticHeadersWriter`, `XContentTypeOptionsHeaderWriter`, `XFrameOptionsHeaderWriter`, `XXssProtectionHeaderWriter`

public interface HeaderWriter
Contract for writing headers to a `HttpServletResponse`

Since:
  3.2
See Also:
  - `HeaderWriterFilter`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeHeaders(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Create a `Header` instance.

## Method Details

### writeHeaders

void writeHeaders(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
Create a `Header` instance.

Parameters:
  `request` - the request
  `response` - the response